#
# spec file for package forgejo-cli
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           forgejo-cli
Version:        0.3.0
Release:        1.1
Summary:        CLI application for interacting with Forgejo
License:        Apache-2.0 OR MIT
URL:            https://codeberg.org/Cyborus/forgejo-cli
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.zst
BuildRequires:  cargo >= 1.82.0
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openssl)

%description
%{summary}.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
install -Dm0755 ./target/release/fj %{buildroot}%{_bindir}/fj

%files
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{_bindir}/fj

%changelog
* Tue May  6 2025 Richard Rahl <rrahl0@opensuse.org>
- update vendor tarball, fixing bsc#1242683
* Tue May  6 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- update to 0.3.0:
  * Additions
  - Added fj completion to generate completion scripts for various
    shells
  - Added fj org for Organization commands.
  - Added fj actions for Forgejo Actions-related commands (thank
    you, @LordMZTE !)
  - OAuth client IDs for fj auth login can now be customized.
    See the wiki for more on the new features.
  https://codeberg.org/Cyborus/forgejo-cli/wiki/Organizations
  * Fixes
  - Keys file now has proper file permissions
  - Fixed incorrect help commands (thank you, @0ko !)
  - Always set user agent in requests
* Fri Dec 13 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.2.0:
  * Additions
  - pr create and issue create now have a --web flag that opens
    the creation page in your browser instead of creating it on
    the terminal.
  - pr --agit will create a pull request with agit flow, so you
    don't need to fork the repository.
  - pr status --wait will only exits once all PR checks finish.
  - repo migrate to migrate/mirror repositories from other hosts.
  - repo readme to print a repository's readme to the terminal.
  - version --verbose prints extra info useful for debugging
  * Fixes
  - Public endpoints can now be accessed without authenticating
  - The API will be accessed via the http url even when it
    differs from the ssh url and the local remote points to the
    ssh url.
  - browse commands will no long hang the terminal
  - Local repos will now be found even when in a subdirectory
  - SSH urls in repo remotes will now be parsed correctly
  - Improved pull request detection
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.1:
  * Suggest correct command when OAuth login isn't supported on an
    instance
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0:
  * feat: add branch guessing on pr creation
  * fix: print message before reading in readline
  * fix: prioritize remote tracking branch in repo detection
  * fix: read detected pr from correct repo
  * fix: pr detection from branch
  * add status command
  * add user search
  * add list user orgs
  * add list user repos
* Fri May 10 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
